routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use App\Event;
use Illuminate\Support\Facades\Auth;

Route::get('/', 'EventController@index')->name('index');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::get('/administrators/panel', 'AdministratorController@panel');

Route::resources([
    'macrocategories' => 'MacrocategoryController',
    'categories' => 'CategoryController',
    'customers' => 'CustomerController',
    'organizers' => 'OrganizerController',
    'administrators' => 'AdministratorController',
    'events' => 'EventController',
    'tickets' => 'TicketController',
    'places' => 'PlaceController',
    'guests' => 'GuestController',
    'partecipates' => 'PartecipateController',
    'sponsors' => 'SponsorController',
    'sponsor_ranges' => 'SponsorRangeController',
    'funds' => 'FundController',
    'ticket_rate' => 'TicketRateController',
    'seat_types' => 'SeatTypeController',
    'seats' => 'SeatController',
    'statistics' => 'StatisticController',
]);

Route::get('/search', 'EventController@search');

Route::get('/cart/{id}/add', 'CartController@add_ticket')->name('add_to_cart');

Route::get('/cart/pay', 'CartController@pay')->name('cart.pay');

Route::resource('cart', 'CartController')->only('index', 'update', 'destroy');

Route::resource('orders', 'OrderController')->except([
    'edit', 'update', 'create', 'store'
]);

Route::get('/notifications', 'NotificationController@notifications');

Route::get('/favorites/{id}/remove', 'FavoriteController@remove')->name('remove_favorite');

Route::get('/favorites/{id}/add', 'FavoriteController@add')->name('add_favorite');

Route::resource('favorites', 'FavoriteController')->only(['store', 'destroy']);

Route::get('/myevents', 'MyEventsController@index');

Route::name('statistics.')->group(static function () {
    Route::get('category-age-average', 'StatisticController@categoryAgeAverage')->name('category-age-average');
    Route::get('category-ranking', 'StatisticController@categoryRanking')->name('category-ranking');
    Route::get('customer-spending-average', 'StatisticController@customerSpendingAverage')->name('customer-spending-average');
    Route::get('event-profit', 'StatisticController@eventProfit')->name('event-profit');
    Route::get('place-age-average', 'StatisticController@placeAgeAverage')->name('place-age-average');
    Route::get('place-profit', 'StatisticController@placeProfit')->name('place-profit');
    Route::get('sponsor-ranking', 'StatisticController@sponsorRanking')->name('sponsor-ranking');
    Route::get('ticket-sold-guest', 'StatisticController@ticketSoldGuest')->name('ticket-sold-guest');
});

resources/views/nav/actions.blade.php
@guest
    <li>
        <a href="{{ route('login') }}">{{ __('Login') }}</a>
    </li>
    @if (Route::has('register'))
        <li>
            <a href="{{ route('register') }}">{{ __('Registrati') }}</a>
        </li>
    @endif
    @else
    <li>
        <a class="dropdown-trigger" href="#" data-target="dropdown-user">
            <i class="material-icons left">person</i>
            {{ Auth::user()->name }}
            <i class="material-icons right">arrow_drop_down</i>
        </a>
    </li>
@endguest

resources/views/nav/nav-desktop.blade.php
<div class="navbar-fixed">
    <nav>
        <div class="nav-wrapper container">
            <a href="#" data-target="slide-out" class="left sidenav-trigger hide-on-large-only"><i class="material-icons">menu</i></a>
            <a class="brand-logo" href="{{ url('/') }}">
                {{ config('app.name', 'Laravel') }}
            </a>

            <ul class="right">
                @guest
                    <li class="hide-on-med-and-down">
                        <a href="{{ route('login') }}">{{ __('Login') }}</a>
                    </li>
                    @if (Route::has('register'))
                        <li class="hide-on-med-and-down">
                            <a href="{{ route('register') }}">{{ __('Registrati') }}</a>
                        </li>
                    @endif
                @else
                    <li>
                        <a class='dropdown-trigger' href='#' data-target='dropdown-notification'><i class="material-icons">notifications</i></a>
                    </li>
                    @if(Auth::user()->userable_type === 'App\Customer')
                    <li class="hide-on-med-and-down">
                        <a href="{{ route('cart.index') }}"><i class="material-icons">shopping_cart</i></a>
                    </li>
                    <li class="hide-on-med-and-down">
                        <a class="dropdown-trigger" href="#" data-target="dropdown-user">
                            <i class="material-icons left">person</i>
                            {{ Auth::user()->name }}
                            <i class="material-icons right">arrow_drop_down</i>
                        </a>
                    </li>
                    @endif
                @endguest
            </ul>
        </div>
    </nav>
</div>

resources/views/nav/sidenav-administrator.blade.php
<li>
    <a href="{{ route('administrators.edit', Auth::user(), Auth::user()->userable_id) }}">
        <i class="material-icons">person</i>Profilo
    </a>
</li>
<li class="no-padding">
    <ul class="collapsible collapsible-accordion">
        <li>
            <a class="collapsible-header" style="padding: 0px 32px;"><i class="material-icons">people</i>Utenti <i class="material-icons right">arrow_drop_down</i> </a>
            <div class="collapsible-body">
                <ul >
                    <li><a href="{{ route('customers.index') }}"><i class="material-icons">person</i> Clienti</a></li>
                    <li><a href="{{ route('organizers.index') }}"><i class="material-icons">business_center</i> Organizzatori</a></li>
                    <li><a href="{{ route('administrators.index') }}"><i class="material-icons">assignment_ind</i> Amministratori</a></li>
                    <li><div class="divider"></div></li>
                </ul>
            </div>
        </li>
    </ul>
</li>

<li>
    <a href="{{ route('macrocategories.index') }}"><i class="material-icons">folder</i> Categorie</a>
</li>
<li>
    <a href="{{ route('events.index') }}"><i class="material-icons">event</i> Eventi</a>
</li>
<li>
    <a href="{{ route('seat_types.index') }}"><i class="material-icons">event_seat</i> Tipi posti</a>
</li>
@include('nav.menu-items.seats')
<li>
    <a href="{{ route('orders.index') }}"><i class="material-icons">receipt</i> Ordini</a>
</li>
<li class="no-padding">
    <ul class="collapsible collapsible-accordion">
        <li>
            <a class="collapsible-header" style="padding: 0px 32px;"><i class="material-icons">people</i>Sponsorizzazioni <i class="material-icons right">arrow_drop_down</i> </a>
            <div class="collapsible-body">
                <ul>
                    <li><a href="{{ route('sponsors.index') }}"><i class="material-icons">business</i> Sponsors</a></li>
                    <li><a href="{{ route('sponsor_ranges.index') }}"><i class="material-icons">equalizer</i> Fasce sponsor</a></li>
                    <li><a href="{{ route('funds.index') }}"><i class="material-icons">card_giftcard</i> Donazioni</a></li>
                    <li><div class="divider"></div></li>
                </ul>
            </div>
        </li>
    </ul>
</li>
@include('nav.menu-items.guests')
<li>
    <a href="{{ route('places.index') }}"><i class="material-icons">place</i> Luoghi</a>
<li>
    <a href="{{ route('ticket_rate.index') }}"><i class="material-icons">attach_money</i> Tariffe</a>
</li>

resources/views/nav/sidenav-common.blade.php
@guest
<ul id="slide-out" class="sidenav">
@else
@if(Auth::user()->userable_type === 'App\Organizer' || Auth::user()->userable_type === 'App\Administrator')
<ul id="slide-out" class="sidenav sidenav-fixed">
@else
<ul id="slide-out" class="sidenav">
@endif
@endguest
    @guest
        <li>
            <a href="{{ route('login') }}">{{ __('Login') }}</a>
        </li>
        @if (Route::has('register'))
            <li>
                <a href="{{ route('register') }}">{{ __('Registrati') }}</a>
            </li>
        @endif
    @else
        <li>
            <div class="user-view">
                <div class="background"></div>
                <a href="#user"><i class="large material-icons">person</i></a>
                <a href="#name">
                    <span class="white-text name">{{ Auth::user()->name }}</span>
                </a>
                <a href="#email"><span class="white-text email">{{ Auth::user()->email }}</span></a>
            </div>
        </li>
    @if(Auth::user()->userable_type === 'App\Customer')
        @include('nav.sidenav-customer')
    @elseif(Auth::user()->userable_type === 'App\Organizer')
        @include('nav.sidenav-organizer')
    @elseif(Auth::user()->userable_type === 'App\Administrator')
        @include('nav.sidenav-administrator')
    @endif
        <li>
            <a href="{{ route('logout') }}"
               onclick="event.preventDefault();
                document.getElementById('logout-form').submit();">
                <i class="material-icons">exit_to_app</i> {{ __('Logout') }}
            </a>
        </li>
    @endguest
</ul>

resources/views/nav/sidenav-customer.blade.php
<li>
    <a href="{{ route('customers.edit', Auth::user(), Auth::user()->userable_id) }}">
        <i class="material-icons">person</i>Profilo
    </a>
</li>
<li>
    <a href="/myevents"><i class="material-icons">confirmation_number</i> Miei eventi</a>
</li>
<li>
    <a href="{{ route('cart.index') }}"><i class="material-icons">shopping_cart</i> Carrello</a>
</li>
<li>
    <a href="{{ route('orders.index') }}"><i class="material-icons">receipt</i> Ordini</a>
</li>

resources/views/nav/sidenav-organizer.blade.php
<li>
    <a href="{{ route('organizers.edit', Auth::user(), Auth::user()->id) }}">
        <i class="material-icons">person</i>Profilo
    </a>
</li>
<li><a href="{{ route('events.index') }}"><i class="material-icons">confirmation_number</i>Miei eventi</a></li>
@include('nav.menu-items.guests')
@include('nav.menu-items.seats')